# vim: set sw=4 ts=4 et:

Name:           kmediafactory
Version:        0.8.1
Release:        5.371
Summary:        An easy to use template based dvd authoring tool
License:        GNU General Public License (GPL)
URL:            http://aryhma.oy.cx/damu/software/kmediafactory
Group:          Productivity/Multimedia/Video/Editors and Convertors
Source:         http://kmediafactory.googlecode.com/files/kmediafactory-%{version}.tar.bz2
Patch0:         kmediafactory-0.8.1-underlinking.patch
Patch1:         kmdediafactory-0.8.1-gcc47.patch

%kde4_runtime_requires

Requires:       %{_bindir}/dvdauthor
Requires:       %{_bindir}/mpeg2enc
Requires:       %{_bindir}/zip
Recommends:     %{_bindir}/k3b
Recommends:     %{_bindir}/melt
Suggests:       %{_bindir}/gs
Suggests:       %{_bindir}/soffice

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  kdesdk4-scripts libdvdread-devel libffmpeg_oldabi-devel libkde4-devel
BuildRequires:  update-desktop-files zip libkexiv2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  shared-mime-info
BuildRequires:  hicolor-icon-theme

%description
KMediafactory is easy to use template based dvd authoring tool.
You can quickly create DVD menus for home videos and TV recordings in three simple steps.

%package devel
Summary:        An easy to use template based dvd authoring tool
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}

%description devel
KMediafactory is easy to use template based dvd authoring tool.
You can quickly create DVD menus for home videos and TV recordings in three simple steps.

%prep
%setup -q
%patch0
%patch1 -p1


%build
%cmake_kde4 -d build

make %{?_smp_flags} VERBOSE=1

%install
cd build
%kde4_makeinstall
cd ..

%find_lang %{name} --all-name

%kde_post_install

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post
/sbin/ldconfig
%if 0%{?suse_version} > 1210
%mime_database_post
%desktop_database_post
%icon_theme_cache_post
%else
/usr/bin/update-mime-database "/usr/share/mime" || true
/usr/bin/update-desktop-database --quiet "/usr/share/applications" || true
/usr/bin/gtk-update-icon-cache --quiet --force "/usr/share/icons/hicolor" || true
%endif

%postun
%if 0%{?suse_version} > 1210
%icon_theme_cache_postun
%desktop_database_postun
%mime_database_postun
%else
/usr/bin/gtk-update-icon-cache --quiet --force "/usr/share/icons/hicolor" || true
/usr/bin/update-desktop-database --quiet "/usr/share/applications" || true
/usr/bin/update-mime-database "/usr/share/mime" || true
%endif
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/kmediafactory
%{_libdir}/kde4/kmediafactory_output.so
%{_libdir}/kde4/kmediafactory_plugin_kross.so
%{_libdir}/kde4/kmediafactory_slideshow.so
%{_libdir}/kde4/kmediafactory_template.so
%{_libdir}/kde4/kmediafactory_video.so
%{_libdir}/kde4/plugins/designer/kmfwidgets.so
%{_libdir}/libkmediafactoryinterfaces.so.0
%{_libdir}/libkmediafactoryinterfaces.so.%{version}
%{_libdir}/libkmediafactorykstore.so.0
%{_libdir}/libkmediafactorykstore.so.%{version}
%{_libdir}/libkmf.so.0
%{_libdir}/libkmf.so.%{version}
%{_datadir}/applications/kde4/kmediafactory.desktop
%{_datadir}/icons/*/*/apps/*.png
%{_datadir}/icons/*/*/mimetypes/*.png
%{_datadir}/icons/*/*/apps/*.svgz
%{_datadir}/icons/*/*/mimetypes/*.svgz
%dir %{_datadir}/kde4/apps/kmediafactory
%dir %{_datadir}/kde4/apps/kmediafactory/images
%{_datadir}/kde4/apps/kmediafactory/images/default-bg.svgz
%{_datadir}/kde4/apps/kmediafactory/*.rc
%dir %{_datadir}/kde4/apps/kmediafactory/media
%{_datadir}/kde4/apps/kmediafactory/media/silence.mp2
%dir %{_datadir}/kde4/apps/kmediafactory/scripts
%{_datadir}/kde4/apps/kmediafactory/scripts/*
%dir %{_datadir}/kde4/apps/kmediafactory_template
%{_datadir}/kde4/apps/kmediafactory_template/*.kmft
%dir %{_datadir}/kde4/apps/kmfwidgets
%dir %{_datadir}/kde4/apps/kmfwidgets/pics
%{_datadir}/kde4/apps/kmfwidgets/pics/*.png
%{_datadir}/kde4/servicetypes/kmediafactoryplugin.desktop
%{_datadir}/kde4/config.kcfg/*.kcfg
%{_datadir}/kde4/config/*.knsrc
%{_datadir}/kde4/services/*.desktop
%{_datadir}/mime/packages/kmediafactory.xml

%files devel
%defattr(-,root,root)
%{_libdir}/libkmf.so
%{_libdir}/libkmediafactorykstore.so
%{_libdir}/libkmediafactoryinterfaces.so
%dir %{_includedir}/kmediafactory
%{_includedir}/kmediafactory/*.h

%changelog
* Thu May 31 2012 Manfred.Tremmel@iiv.de
- ffmpeg calls are outdated, compile against ffmpeg_oldabi
* Tue May 22 2012 seife+obs@b1-systems.com
- fix build with gcc 4.7
* Sat Aug 20 2011 dele@links2linux.de
- new upstream version <0.8.1>
* Sun Apr 10 2011 reddwarf@opensuse.org
- add mpeg2enc requirement
* Wed Oct  6 2010 dele@links2linux.de
- delete MPlayer requirement
* Fri Apr  9 2010 dele@links2linux.de
- new upstream version <0.8.0>
* Sat Feb 27 2010 dele@links2linux.de
- new upstream version <0.7.5>
* Thu Jul 31 2008 guru@unixtech.be
- moved .la files into main package
* Tue Jul 29 2008 guru@unixtech.be
- split out -devel subpackage
- added debuginfo support
- added patch to pass libmagick CPPFLAGS, needed to build on 11.0
- fixed Source URL
* Wed Apr  2 2008 dele@links2linux.de
- new upstream version <0.5.2.4>
* Thu Mar 20 2008 dele@links2linux.de
- add patch for:
  * chapterslayout-icons
  * german-translation
  * transparency
- thx to Michael Kreuzer
* Sun Jun 25 2006 dele@links2linux.de
- new upstream version
* Fri Apr 28 2006 dele@links2linux.de
- first build for packman
